/*
** Restricted Rights Legend
**
** Use, duplication or disclosure by the government is subject to restrictions
** as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and
** Computer Software clause at DFARS 252.227-7013.
**
** Copyright (c) 1997 Lockheed Martin C2 Integration Systems
**
**
** File:         InvalidDbInfoException.java
**
** Description:  Contains constructors for InvalidDbInfoException objects.
**
*/
package kqml;

/**
 * A class to throw an exception when non-numeric db_info description data
 * is detected during the parsing of an incoming database wrapper reply
 * <code>:content</code> field.
 *
 * @author Peter Stevens
 * @version $Revision: 1.1 $
 * @see KqmlException
 * @see Message
 */

public class InvalidDbInfoException extends KqmlException
{
    // Constructors
    public InvalidDbInfoException()         { super(); }
    public InvalidDbInfoException(String s) { super(s); };
}
