/*
** Restricted Rights Legend
**
** Use, duplication or disclosure by the government is subject to restrictions
** as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and
** Computer Software clause at DFARS 252.227-7013.
**
** Copyright (c) 1997 Lockheed Martin C2 Integration Systems
**
**
** File:         KqmlAgentRegistrationFailure.java
**
** Description:  Contains constructors for KqmlAgentRegistrationFailure objects.
**
*/
package kqml;

/**
 * A class to throw an exception when the number of message handler threads
 * to be created for an agent is less than one or when registration of the
 * agent at the ANS fails (e.g. the ANS is down or the ANS refuses to accept
 * the agent's registration because there is already an agent by that name
 * registered with the ANS).
 *
 * @author Peter Stevens
 * @version $Revision: 1.3 $
 * @see KqmlAgent
 */

public class KqmlAgentRegistrationFailure extends Exception
{
  // Constructors
  public KqmlAgentRegistrationFailure () { super (); }
  public KqmlAgentRegistrationFailure (String s) { super (s); };
}
