/*
** Restricted Rights Legend
**
** Use, duplication or disclosure by the government is subject to restrictions
** as set forth in subparagraph (c)(1)(ii) of the Rights in Technical Data and
** Computer Software clause at DFARS 252.227-7013.
**
** Copyright (c) 1997 Lockheed Martin C2 Integration Systems
**
**
** File:         KqmlIOException.java
**
** Description:  Contains constructors for the KqmlIOException class.
**               This has been supplied to permit throwing an exception
**               subclassed from KqmlException and thus be able to write
**               a single catch statement for new Message(), Message.send(),
**               Message.sendAndAwaitReply(), KqmlAgent.sendMessage(),
**               and KqmlAgent.sendMsgAndAwaitReply()
*/
package kqml;

/**
 * A class provided so that application developers can catch
 * java.io.IOException's in a KqmlException catch statement.
 *
 * @author Peter Stevens
 * @version $Revision: 1.1 $
 * @see KqmlException
 * @see KqmlAgent
 * @see Message
 */
public class KqmlIOException extends KqmlException
{
    // Constructors
    public KqmlIOException ()         { super (); }
    public KqmlIOException (String s) { super (s); };
}
