/* File: HashSet.java
 * Contains: A set collector based on Hashtables.
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: March 1998
 * Updated: Sun Aug 23 22:13:53 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package oplan.util;

import java.util.Hashtable;
import java.util.Enumeration;

/**
 * A set collector based on Hashtables.
 *
 * A HashSet can used to collect objects when (a) the same object might
 * be added more than once, (b) no object should appear more than once
 * in an enumeration of the collected elements, and (c) the order of
 * objects in the element-enumeration doesn't matter.
 *
 * @see oplan.util.Seq
 * @see oplan.util.lisp.ListCollector
 */

public class HashSet extends Hashtable implements Collector {

    public HashSet() {
	super();
    }

    public void addElement(Object e) {
	put(e, e);
    }

}
