/* File: MatcherTest.java
 * Contains: Main program for testing Kqml message sending
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Thu Apr 16 05:02:06 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package oplan.test;

import java.util.*;
import java.io.*;
import oplan.util.*;
import oplan.util.lisp.*;
import oplan.util.match.*;


/**
 * A class for testing the simple pattern matcher.
 */

class MatcherTest {

    static LispReader lispin = new LispReader(System.in);
    static final Object BYE = Symbol.intern("bye");

    public static void main(String[] argv) {
	LispReader lin = new LispReader(System.in);

	System.out.println("Type \"bye\" to exit.");

	for (;;) {
	    Object pattern = askLisp("\nPattern:");
	    if (pattern == BYE)
		break;
	    Object data = askLisp("Data:");
	    if (data == BYE)
		break;
	    try {
		System.out.println(SimpleMatcher.match(pattern, data));
	    }
	    catch (Exception e) {
		Debug.noteException(e);
	    }
	}

	System.out.println("\nBye!\n");

    }

    static Object askLisp(String prompt) {
	System.out.print(prompt + " ");
	System.out.flush();
	return lispin.readObject();
    }

}
