/* File: StartActionTest.java
 * Contains: Simple test version of ACP3_With_Watcher.java
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Mon Jan 26 19:12:59 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */


package oplan.test;

import oplan.util.*;
import oplan.acp3.*;


/** A test ACP3 application viewer + Kqml-watcher main program. */

public class StartActionTest extends ACP3 {

    public static void main(String[] argv) {

	printGreeting("Simple test ACP3 Viewer and KQML Watcher");

	agent = new StartActionTest();

	ProcessViewer mf = new MainFrame();

	String[] instruct
	    = {"Once things are going, you can type 2 or 3.",
	       "\"bye\" will exit the loop, though there's no",
	       "need to do so.", ""};

	printLines(instruct);

	for (;;) {
	    String input = Util.askLine("COA:");
	    if (input.equals("bye"))
		break;
	    Debug.noteln("Have:", input);
	    try {
		int coa = new Integer(input).intValue();
		mf.startAction("develop COA", coa);
	    }
	    catch (Exception e) {
		Debug.noteException(e);
	    }
	}

    }

    protected void shutdown() {
	super.shutdown();
    }

    static void printLines(String[] lines) {
	for (int i = 0; i < lines.length; i++) {
	    System.out.println(lines[i]);
	}
    }

}
