/* File: StaticOverride.java
 * Contains: Main program for testing overriding of static methods
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Thu Jan 22 17:53:38 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package oplan.test;

import oplan.util.*;


/* What happens if you try to override a static method?
   It seems to work, at least for the no-arg case.
 */


/** A class for testing */

class StaticOverride {

    public static void main(String[] argv) {

	LowerClass.test();

    }

}


class UpperClass {

    static String name() { return "UpperClass"; }
    static String type() { return "UpperClass type"; }

}

class LowerClass extends UpperClass {

    static String name() { return "LowerClass"; }

    static void test() {
	Debug.noteln("Name:", name());
	Debug.noteln("Type:", type());

	// Now how about ...
	Debug.noteln("Name:", LowerClass.name());
	Debug.noteln("Type:", LowerClass.type());

	// That works too.
	
    }

}
