/* File: MatchEnv.java
 * Contains: A class for pattern-matching
 * Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Created: January 1998
 * Updated: Mon Feb 16 22:11:28 1998 by Jeff Dalton
 * Copyright: (c) 1998, AIAI, University of Edinburgh
 */

package oplan.util.match;

import java.util.*;

/** 
 * A root class for objects that contain the bindings that result
 * from pattern-matching.<p>
 *
 * MatchEnvs are not used automatically in MatchTable-based matching;
 * they are merely available in case they are useful.  For instance, a
 * MatchCase tryMatch method might construct a MatchEnv while matching
 * and return it if the match succeeds.  It would then be passed to
 * the MatchCase's ifSelected method by the MatchTable.
 *
 * @see MatchTable
 * @see MatchCase
 */

public class MatchEnv extends Hashtable {

}
